> For the complete documentation index, see [llms.txt](https://developer.dashdoc.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.dashdoc.com/docs/api-reference/tracking-files.md).

# Tracking files

## GET /tracking-files/

> List all tracking files

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"TrackingFiles"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"TrackingFiles":{"properties":{"count":{"type":"integer"},"next":{"nullable":true,"type":"string"},"previous":{"nullable":true,"type":"string"},"results":{"items":{"$ref":"#/components/schemas/TrackingFile"},"type":"array"}},"type":"object"},"TrackingFile":{"properties":{"uid":{"description":"Unique identifier of the tracking file","type":"string"},"status":{"description":"Status of the tracking file","enum":["open","closed"],"type":"string"},"created":{"description":"Creation date of the tracking file","format":"date-time","type":"string"},"name":{"description":"Name of the tracking file","type":"string"},"shipper_id":{"description":"Primary key of the shipper","type":"integer"},"quantity_per_transport":{"description":"Quantity per transport","format":"float","type":"number"},"start_date":{"description":"Start date of the tracking file","format":"date-time","type":"string"},"end_date":{"description":"End date of the tracking file","format":"date-time","type":"string"},"unit":{"description":"Unit of measurement","enum":["liter","cubic_meter","kilogram","stere","linear_meter","quantity"],"type":"string"},"template_uid":{"description":"Unique identifier of the template linked to the tracking file","type":"string"},"loading_address":{"$ref":"#/components/schemas/Address"},"unloading_address":{"$ref":"#/components/schemas/Address"},"total_load":{"$ref":"#/components/schemas/PlannedLoads"},"requires_washing":{"description":"Indicates if washing is required by default for transports that will be created in this tracking file","type":"boolean"},"is_multiple_compartments":{"description":"Indicates if there are multiple compartments by default for transports that will be created in this tracking file","type":"boolean"}},"type":"object"},"Address":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"type":"boolean"},"is_shipper":{"type":"boolean"},"is_origin":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"is_destination":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"created_by":{"$ref":"#/components/schemas/created-by"},"created_by_user":{"$ref":"#/components/schemas/created-by-user"},"created":{"$ref":"#/components/schemas/created"},"instructions":{"$ref":"#/components/schemas/site_instructions"},"remote_id":{"description":"The id of the address in your system.","type":"string"},"original":{"description":"Dashdoc's internal id of the original address.","nullable":true,"readOnly":true,"type":"number"},"company":{"$ref":"#/components/schemas/Company"}},"type":"object"},"country":{"description":"Only the 2-character codification is accepted (ISO 3166-1 alpha-2)","type":"string"},"latitude":{"description":"Latitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"longitude":{"description":"Longitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"is_demo":{"description":"Indicates that the address is a fake one created from demonstration. Everything linked to it will be deleted when using the 'Delete demo content' button in company parameters","type":"boolean"},"address_is_origin_and_is_destination":{"description":"Whether this address is a \"Logistic Points\" and will be usable as pickup/delivery point.\nThe distinction between origin/pickup and destination/delivery was merged as a single \"Logistic Point\" concept. `is_origin` implies `is_destination` and vice-versa.\n","type":"boolean"},"created-by":{"nullable":true,"properties":{"pk":{"description":"company id","type":"number"},"name":{"description":"name of the company","type":"string"}},"type":"object"},"created-by-user":{"nullable":true,"properties":{"pk":{"type":"number"},"display_name":{"type":"string"},"company":{"description":"The company id who created the address","type":"number"},"trucker_id":{"description":"The trucker id who created the address","type":"number"}},"type":"object"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"site_instructions":{"description":"Site instructions, visible to all parties (trucker, carrier, shipper, site). Displayed in the trucker mobile app. Not visible in the eCMR. If the field is not provided, the address's site instructions will be used.","maxLength":1000,"type":"string"},"Company":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"remote_id":{"type":"string"},"created":{"format":"date-time","type":"object"},"updated":{"format":"date-time","type":"string"},"deleted":{"type":"boolean"},"invoicing_remote_id":{"description":"The id of the company in your invoicing system.","type":"string"},"name":{"type":"string"},"phone_number":{"type":"string"},"email":{"type":"string"},"siren":{"type":"string"},"trade_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"comments":{"type":"string"},"vat_number":{"type":"string"},"is_verified":{"type":"boolean"},"settings_transport_order_observations":{"type":"string"},"settings_constrain_reference_edition":{"type":"boolean"},"account_type":{"description":"Ignore. Dashdoc technical data.","type":"string"},"logo":{"description":"The URL of your logo","nullable":true,"type":"string"},"subscription_access":{"type":"object"},"settings":{"type":"object"},"primary_address":{"$ref":"#/components/schemas/PrimaryAddress_1"},"managers":{"items":{"$ref":"#/components/schemas/Managers"},"type":"array"},"has_loggable_managers":{"description":"Ignore. Dashdoc technical data.","type":"boolean"}},"type":"object"},"PrimaryAddress_1":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"description":"Whether this company is considered a carrier","type":"boolean"},"is_shipper":{"description":"Whether this company is considered a shipper","type":"boolean"},"is_origin":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"is_destination":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"created_by":{"$ref":"#/components/schemas/created-by"},"created_by_user":{"$ref":"#/components/schemas/created-by-user"},"created":{"$ref":"#/components/schemas/created"},"remote_id":{"description":"The id of the address in your system.","type":"string"}},"type":"object"},"Managers":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"user":{"$ref":"#/components/schemas/Managers_user"},"display_name":{"type":"string"},"role":{"type":"string"}},"type":"object"},"Managers_user":{"properties":{"email":{"format":"email","type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"}},"type":"object"},"PlannedLoads":{"properties":{"uid":{"description":"Dashdoc's internal id.","type":"string"},"remote_id":{"description":"The ID of the load in your system. It has to be unique among all your transports.","type":"string"},"description":{"description":"Text description of the load","type":"string"},"reference":{"description":"Reference of the load","type":"string"},"weight":{"description":"In kilograms","format":"float","type":"number"},"volume":{"description":"Volume of load in m3","format":"float","type":"number"},"volume_display_unit":{"default":"m3","enum":["m3","L"],"type":"string"},"linear_meters":{"description":"Length of load in meters","format":"float","type":"number"},"quantity":{"description":"Only one decimal accepted (e.g 0.0)","format":"float","type":"number"},"pallet_equivalence":{"description":"Pallet equivalence (EPS/EQPAL): how many standard pallet spaces the load occupies. `null` when it was never set. Otherwise at least `0.01`, with two decimals kept.","format":"float","nullable":true,"type":"number"},"category":{"description":"Packaging of the load. The text is free but these specific values cause a custom flow on the mobile app: `pallets`, `containers`, `bulk`, `roundwood`, `powder_tank`, `bulk_qualimat`, `rental`.","type":"string"},"dangerous_goods_category":{"description":"ADR class","enum":["1","2","3","4.1","4.2","4.3","5.1","5.2","6.1","6.2","7","8","9"],"type":"string"},"is_dangerous":{"type":"boolean"},"adr_un_code":{"type":"string"},"legal_mentions":{"type":"string"},"complementary_information":{"description":"Any information about the load that doesn't fit to the description field","type":"string"},"container_number":{"type":"string"},"tare_weight":{"description":"In kilograms","format":"float","type":"number"},"container_seal_number":{"type":"string"},"refrigerated":{"description":"Indicates whether the load is refrigerated. If true, the trucker can fill in the temperature.","type":"boolean"},"temperature":{"type":"string"},"steres":{"format":"float","type":"number"},"idtf_number":{"description":"Must match an existing IDTF number","type":"string"},"use_identifiers":{"description":"if `true`, trucker is asked to scan barcode identifiers on load","type":"boolean"},"identifiers":{"description":"Only relevant if use_identifiers is set to `true`. List of expected barcode identifiers that the trucker should scan at loading and unloading. App controls that expected barcodes are actually scanned. If empty, the trucker will have to scan barcodes anyway, but there won't be any check. Feature has to be activated in your account by your Dashdoc projet manager.","type":"string"},"identifiers_observations":{"description":"Observations explaining issues with identifier, such as missing or unexpected identifiers","type":"string"}},"type":"object"}}},"paths":{"/tracking-files/":{"get":{"operationId":"listTrackingFiles","parameters":[{"description":"A page number within the paginated result set.","in":"query","name":"page","required":false,"schema":{"type":"integer"}},{"description":"A date range to filter the tracking files.","in":"query","name":"date__in","required":false,"schema":{"type":"string"}},{"description":"A comma separated list of statuses to filter the tracking files.","in":"query","name":"status__in","required":false,"schema":{"enum":["open","closed"],"type":"string"}},{"description":"A comma separated list of transport uids to filter the tracking files.","in":"query","name":"transport_uid__in","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TrackingFiles"}}},"description":"Get successful"}},"summary":"List all tracking files","tags":["TrackingFiles"]}}}}
````

## POST /tracking-files/

> Create a tracking file

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"TrackingFiles"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"TrackingFileInputValidator":{"properties":{"name":{"description":"Name of the tracking file","type":"string"},"shipper_id":{"description":"ID of the shipper","nullable":true,"type":"integer"},"start_date":{"description":"Start date of the tracking file","format":"date-time","nullable":true,"type":"string"},"end_date":{"description":"End date of the tracking file","format":"date-time","nullable":true,"type":"string"},"loading_address_id":{"description":"ID of the loading address.","nullable":true,"type":"integer"},"unloading_address_id":{"description":"ID of the unloading address","nullable":true,"type":"integer"},"quantity_per_transport":{"description":"Quantity per transport","format":"float","nullable":true,"type":"number"},"unit":{"description":"Unit of measurement","enum":["liter","cubic_meter","kilogram","stere","linear_meter","quantity"],"nullable":true,"type":"string"},"total_load":{"$ref":"#/components/schemas/NewDeliveryLoads"},"requires_washing":{"default":false,"description":"Indicates if washing is required by default for transports that will be created in this tracking file","type":"boolean"},"is_multiple_compartments":{"default":false,"description":"Indicates if there are multiple compartments by default for transports that will be created in this tracking file","type":"boolean"}},"required":["name","shipper_id"],"type":"object"},"NewDeliveryLoads":{"properties":{"remote_id":{"description":"The ID of the load in your system. It has to be unique among all your transports.","type":"string"},"description":{"description":"Text description of the load. In the case of a dangerous load, the description has to respect the ADR law.","type":"string"},"reference":{"description":"Reference of the load.","type":"string"},"weight":{"description":"In kilograms","format":"float","type":"number"},"volume":{"description":"Volume of load in m3","format":"float","type":"number"},"linear_meters":{"description":"Length of load in meters","format":"float","type":"number"},"quantity":{"description":"Only one decimal accepted (e.g 0.0)","format":"float","type":"number"},"pallet_equivalence":{"description":"Pallet equivalence (EPS/EQPAL): how many standard pallet spaces the load occupies. Minimum `0.01`, and only two decimals are kept — omit it or send `null` rather than 0 when unknown. When a load is created from the Dashdoc interface this defaults to `quantity` × the handling unit's pallet equivalence, and stays freely overridable.","format":"float","nullable":true,"type":"number"},"category":{"description":"Packaging of the load. The text is free but these specific values cause a custom flow on the mobile app: `pallets`, `containers`, `bulk`, `roundwood`, `powder_tank`, `bulk_qualimat`, `rental`.","type":"string"},"handling_unit_uid":{"description":"Existing handling unit UID from the load type catalog.","format":"uuid","type":"string"},"good_uid":{"description":"Existing good UID from the goods catalog.","format":"uuid","type":"string"},"create_handling_unit":{"$ref":"#/components/schemas/NewDeliveryLoads_create_handling_unit"},"create_good":{"$ref":"#/components/schemas/NewDeliveryLoads_create_good"},"dangerous_goods_category":{"deprecated":true,"description":"ADR class","enum":["1","2","3","4.1","4.2","4.3","5.1","5.2","6.1","6.2","7","8","9"],"type":"string"},"is_dangerous":{"default":false,"description":"Indicates whether the load is dangerous. If true, the trucker has to confirm adr un code and legal mentions at unloading.","type":"boolean"},"adr_un_code":{"description":"Only for dangerous load, the official UN code from the ADR law.","type":"string"},"legal_mentions":{"description":"Only for dangerous load, all mandatory legal mentions printed on documents.","type":"string"},"complementary_information":{"description":"Any information about the load that doesn't fit to the description field.","type":"string"},"container_number":{"type":"string"},"tare_weight":{"description":"In kilograms","format":"float","type":"number"},"container_seal_number":{"type":"string"},"refrigerated":{"description":"Indicates whether the load is refrigerated. If true, the trucker can fill in the temperature.","type":"boolean"},"temperature":{"type":"string"},"steres":{"format":"float","type":"number"},"idtf_number":{"description":"Must match an existing IDTF number","type":"string"},"use_identifiers":{"description":"if `true`, trucker is asked to scan barcode identifiers on load","type":"boolean"},"identifiers":{"description":"Only relevant if use_identifiers is set to `true`. List of expected barcode identifiers that the trucker should scan at loading and unloading. App controls that expected barcodes are actually scanned. If empty, the trucker will have to scan barcodes anyway, but there won't be any check. Feature has to be activated in your account by your Dashdoc projet manager.","items":{"type":"string"},"type":"array"},"identifiers_observations":{"description":"Observations explaining issues with identifier, such as missing or unexpected identifiers","type":"string"}},"type":"object"},"NewDeliveryLoads_create_handling_unit":{"description":"Create a handling unit in the catalog and use its UID for this load. If provided, it silently overrides `handling_unit_uid`.","nullable":true,"properties":{"name":{"type":"string"},"dashdoc_load_category":{"type":"string"},"remote_id":{"type":"string"}},"type":"object"},"NewDeliveryLoads_create_good":{"description":"Create a good in the catalog and use its UID for this load. If provided, it silently overrides `good_uid`.","nullable":true,"properties":{"name":{"type":"string"},"additional_information":{"type":"string"},"remote_id":{"type":"string"}},"type":"object"},"TrackingFile":{"properties":{"uid":{"description":"Unique identifier of the tracking file","type":"string"},"status":{"description":"Status of the tracking file","enum":["open","closed"],"type":"string"},"created":{"description":"Creation date of the tracking file","format":"date-time","type":"string"},"name":{"description":"Name of the tracking file","type":"string"},"shipper_id":{"description":"Primary key of the shipper","type":"integer"},"quantity_per_transport":{"description":"Quantity per transport","format":"float","type":"number"},"start_date":{"description":"Start date of the tracking file","format":"date-time","type":"string"},"end_date":{"description":"End date of the tracking file","format":"date-time","type":"string"},"unit":{"description":"Unit of measurement","enum":["liter","cubic_meter","kilogram","stere","linear_meter","quantity"],"type":"string"},"template_uid":{"description":"Unique identifier of the template linked to the tracking file","type":"string"},"loading_address":{"$ref":"#/components/schemas/Address"},"unloading_address":{"$ref":"#/components/schemas/Address"},"total_load":{"$ref":"#/components/schemas/PlannedLoads"},"requires_washing":{"description":"Indicates if washing is required by default for transports that will be created in this tracking file","type":"boolean"},"is_multiple_compartments":{"description":"Indicates if there are multiple compartments by default for transports that will be created in this tracking file","type":"boolean"}},"type":"object"},"Address":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"type":"boolean"},"is_shipper":{"type":"boolean"},"is_origin":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"is_destination":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"created_by":{"$ref":"#/components/schemas/created-by"},"created_by_user":{"$ref":"#/components/schemas/created-by-user"},"created":{"$ref":"#/components/schemas/created"},"instructions":{"$ref":"#/components/schemas/site_instructions"},"remote_id":{"description":"The id of the address in your system.","type":"string"},"original":{"description":"Dashdoc's internal id of the original address.","nullable":true,"readOnly":true,"type":"number"},"company":{"$ref":"#/components/schemas/Company"}},"type":"object"},"country":{"description":"Only the 2-character codification is accepted (ISO 3166-1 alpha-2)","type":"string"},"latitude":{"description":"Latitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"longitude":{"description":"Longitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"is_demo":{"description":"Indicates that the address is a fake one created from demonstration. Everything linked to it will be deleted when using the 'Delete demo content' button in company parameters","type":"boolean"},"address_is_origin_and_is_destination":{"description":"Whether this address is a \"Logistic Points\" and will be usable as pickup/delivery point.\nThe distinction between origin/pickup and destination/delivery was merged as a single \"Logistic Point\" concept. `is_origin` implies `is_destination` and vice-versa.\n","type":"boolean"},"created-by":{"nullable":true,"properties":{"pk":{"description":"company id","type":"number"},"name":{"description":"name of the company","type":"string"}},"type":"object"},"created-by-user":{"nullable":true,"properties":{"pk":{"type":"number"},"display_name":{"type":"string"},"company":{"description":"The company id who created the address","type":"number"},"trucker_id":{"description":"The trucker id who created the address","type":"number"}},"type":"object"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"site_instructions":{"description":"Site instructions, visible to all parties (trucker, carrier, shipper, site). Displayed in the trucker mobile app. Not visible in the eCMR. If the field is not provided, the address's site instructions will be used.","maxLength":1000,"type":"string"},"Company":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"remote_id":{"type":"string"},"created":{"format":"date-time","type":"object"},"updated":{"format":"date-time","type":"string"},"deleted":{"type":"boolean"},"invoicing_remote_id":{"description":"The id of the company in your invoicing system.","type":"string"},"name":{"type":"string"},"phone_number":{"type":"string"},"email":{"type":"string"},"siren":{"type":"string"},"trade_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"comments":{"type":"string"},"vat_number":{"type":"string"},"is_verified":{"type":"boolean"},"settings_transport_order_observations":{"type":"string"},"settings_constrain_reference_edition":{"type":"boolean"},"account_type":{"description":"Ignore. Dashdoc technical data.","type":"string"},"logo":{"description":"The URL of your logo","nullable":true,"type":"string"},"subscription_access":{"type":"object"},"settings":{"type":"object"},"primary_address":{"$ref":"#/components/schemas/PrimaryAddress_1"},"managers":{"items":{"$ref":"#/components/schemas/Managers"},"type":"array"},"has_loggable_managers":{"description":"Ignore. Dashdoc technical data.","type":"boolean"}},"type":"object"},"PrimaryAddress_1":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"description":"Whether this company is considered a carrier","type":"boolean"},"is_shipper":{"description":"Whether this company is considered a shipper","type":"boolean"},"is_origin":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"is_destination":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"created_by":{"$ref":"#/components/schemas/created-by"},"created_by_user":{"$ref":"#/components/schemas/created-by-user"},"created":{"$ref":"#/components/schemas/created"},"remote_id":{"description":"The id of the address in your system.","type":"string"}},"type":"object"},"Managers":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"user":{"$ref":"#/components/schemas/Managers_user"},"display_name":{"type":"string"},"role":{"type":"string"}},"type":"object"},"Managers_user":{"properties":{"email":{"format":"email","type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"}},"type":"object"},"PlannedLoads":{"properties":{"uid":{"description":"Dashdoc's internal id.","type":"string"},"remote_id":{"description":"The ID of the load in your system. It has to be unique among all your transports.","type":"string"},"description":{"description":"Text description of the load","type":"string"},"reference":{"description":"Reference of the load","type":"string"},"weight":{"description":"In kilograms","format":"float","type":"number"},"volume":{"description":"Volume of load in m3","format":"float","type":"number"},"volume_display_unit":{"default":"m3","enum":["m3","L"],"type":"string"},"linear_meters":{"description":"Length of load in meters","format":"float","type":"number"},"quantity":{"description":"Only one decimal accepted (e.g 0.0)","format":"float","type":"number"},"pallet_equivalence":{"description":"Pallet equivalence (EPS/EQPAL): how many standard pallet spaces the load occupies. `null` when it was never set. Otherwise at least `0.01`, with two decimals kept.","format":"float","nullable":true,"type":"number"},"category":{"description":"Packaging of the load. The text is free but these specific values cause a custom flow on the mobile app: `pallets`, `containers`, `bulk`, `roundwood`, `powder_tank`, `bulk_qualimat`, `rental`.","type":"string"},"dangerous_goods_category":{"description":"ADR class","enum":["1","2","3","4.1","4.2","4.3","5.1","5.2","6.1","6.2","7","8","9"],"type":"string"},"is_dangerous":{"type":"boolean"},"adr_un_code":{"type":"string"},"legal_mentions":{"type":"string"},"complementary_information":{"description":"Any information about the load that doesn't fit to the description field","type":"string"},"container_number":{"type":"string"},"tare_weight":{"description":"In kilograms","format":"float","type":"number"},"container_seal_number":{"type":"string"},"refrigerated":{"description":"Indicates whether the load is refrigerated. If true, the trucker can fill in the temperature.","type":"boolean"},"temperature":{"type":"string"},"steres":{"format":"float","type":"number"},"idtf_number":{"description":"Must match an existing IDTF number","type":"string"},"use_identifiers":{"description":"if `true`, trucker is asked to scan barcode identifiers on load","type":"boolean"},"identifiers":{"description":"Only relevant if use_identifiers is set to `true`. List of expected barcode identifiers that the trucker should scan at loading and unloading. App controls that expected barcodes are actually scanned. If empty, the trucker will have to scan barcodes anyway, but there won't be any check. Feature has to be activated in your account by your Dashdoc projet manager.","type":"string"},"identifiers_observations":{"description":"Observations explaining issues with identifier, such as missing or unexpected identifiers","type":"string"}},"type":"object"}}},"paths":{"/tracking-files/":{"post":{"operationId":"createTrackingFile","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TrackingFileInputValidator"}}},"required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TrackingFile"}}},"description":"Create successful"}},"summary":"Create a tracking file","tags":["TrackingFiles"]}}}}
````

## GET /tracking-files/{uid}/

> Read a tracking file

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"TrackingFiles"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"TrackingFile":{"properties":{"uid":{"description":"Unique identifier of the tracking file","type":"string"},"status":{"description":"Status of the tracking file","enum":["open","closed"],"type":"string"},"created":{"description":"Creation date of the tracking file","format":"date-time","type":"string"},"name":{"description":"Name of the tracking file","type":"string"},"shipper_id":{"description":"Primary key of the shipper","type":"integer"},"quantity_per_transport":{"description":"Quantity per transport","format":"float","type":"number"},"start_date":{"description":"Start date of the tracking file","format":"date-time","type":"string"},"end_date":{"description":"End date of the tracking file","format":"date-time","type":"string"},"unit":{"description":"Unit of measurement","enum":["liter","cubic_meter","kilogram","stere","linear_meter","quantity"],"type":"string"},"template_uid":{"description":"Unique identifier of the template linked to the tracking file","type":"string"},"loading_address":{"$ref":"#/components/schemas/Address"},"unloading_address":{"$ref":"#/components/schemas/Address"},"total_load":{"$ref":"#/components/schemas/PlannedLoads"},"requires_washing":{"description":"Indicates if washing is required by default for transports that will be created in this tracking file","type":"boolean"},"is_multiple_compartments":{"description":"Indicates if there are multiple compartments by default for transports that will be created in this tracking file","type":"boolean"}},"type":"object"},"Address":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"type":"boolean"},"is_shipper":{"type":"boolean"},"is_origin":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"is_destination":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"created_by":{"$ref":"#/components/schemas/created-by"},"created_by_user":{"$ref":"#/components/schemas/created-by-user"},"created":{"$ref":"#/components/schemas/created"},"instructions":{"$ref":"#/components/schemas/site_instructions"},"remote_id":{"description":"The id of the address in your system.","type":"string"},"original":{"description":"Dashdoc's internal id of the original address.","nullable":true,"readOnly":true,"type":"number"},"company":{"$ref":"#/components/schemas/Company"}},"type":"object"},"country":{"description":"Only the 2-character codification is accepted (ISO 3166-1 alpha-2)","type":"string"},"latitude":{"description":"Latitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"longitude":{"description":"Longitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"is_demo":{"description":"Indicates that the address is a fake one created from demonstration. Everything linked to it will be deleted when using the 'Delete demo content' button in company parameters","type":"boolean"},"address_is_origin_and_is_destination":{"description":"Whether this address is a \"Logistic Points\" and will be usable as pickup/delivery point.\nThe distinction between origin/pickup and destination/delivery was merged as a single \"Logistic Point\" concept. `is_origin` implies `is_destination` and vice-versa.\n","type":"boolean"},"created-by":{"nullable":true,"properties":{"pk":{"description":"company id","type":"number"},"name":{"description":"name of the company","type":"string"}},"type":"object"},"created-by-user":{"nullable":true,"properties":{"pk":{"type":"number"},"display_name":{"type":"string"},"company":{"description":"The company id who created the address","type":"number"},"trucker_id":{"description":"The trucker id who created the address","type":"number"}},"type":"object"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"site_instructions":{"description":"Site instructions, visible to all parties (trucker, carrier, shipper, site). Displayed in the trucker mobile app. Not visible in the eCMR. If the field is not provided, the address's site instructions will be used.","maxLength":1000,"type":"string"},"Company":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"remote_id":{"type":"string"},"created":{"format":"date-time","type":"object"},"updated":{"format":"date-time","type":"string"},"deleted":{"type":"boolean"},"invoicing_remote_id":{"description":"The id of the company in your invoicing system.","type":"string"},"name":{"type":"string"},"phone_number":{"type":"string"},"email":{"type":"string"},"siren":{"type":"string"},"trade_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"comments":{"type":"string"},"vat_number":{"type":"string"},"is_verified":{"type":"boolean"},"settings_transport_order_observations":{"type":"string"},"settings_constrain_reference_edition":{"type":"boolean"},"account_type":{"description":"Ignore. Dashdoc technical data.","type":"string"},"logo":{"description":"The URL of your logo","nullable":true,"type":"string"},"subscription_access":{"type":"object"},"settings":{"type":"object"},"primary_address":{"$ref":"#/components/schemas/PrimaryAddress_1"},"managers":{"items":{"$ref":"#/components/schemas/Managers"},"type":"array"},"has_loggable_managers":{"description":"Ignore. Dashdoc technical data.","type":"boolean"}},"type":"object"},"PrimaryAddress_1":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"description":"Whether this company is considered a carrier","type":"boolean"},"is_shipper":{"description":"Whether this company is considered a shipper","type":"boolean"},"is_origin":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"is_destination":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"created_by":{"$ref":"#/components/schemas/created-by"},"created_by_user":{"$ref":"#/components/schemas/created-by-user"},"created":{"$ref":"#/components/schemas/created"},"remote_id":{"description":"The id of the address in your system.","type":"string"}},"type":"object"},"Managers":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"user":{"$ref":"#/components/schemas/Managers_user"},"display_name":{"type":"string"},"role":{"type":"string"}},"type":"object"},"Managers_user":{"properties":{"email":{"format":"email","type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"}},"type":"object"},"PlannedLoads":{"properties":{"uid":{"description":"Dashdoc's internal id.","type":"string"},"remote_id":{"description":"The ID of the load in your system. It has to be unique among all your transports.","type":"string"},"description":{"description":"Text description of the load","type":"string"},"reference":{"description":"Reference of the load","type":"string"},"weight":{"description":"In kilograms","format":"float","type":"number"},"volume":{"description":"Volume of load in m3","format":"float","type":"number"},"volume_display_unit":{"default":"m3","enum":["m3","L"],"type":"string"},"linear_meters":{"description":"Length of load in meters","format":"float","type":"number"},"quantity":{"description":"Only one decimal accepted (e.g 0.0)","format":"float","type":"number"},"pallet_equivalence":{"description":"Pallet equivalence (EPS/EQPAL): how many standard pallet spaces the load occupies. `null` when it was never set. Otherwise at least `0.01`, with two decimals kept.","format":"float","nullable":true,"type":"number"},"category":{"description":"Packaging of the load. The text is free but these specific values cause a custom flow on the mobile app: `pallets`, `containers`, `bulk`, `roundwood`, `powder_tank`, `bulk_qualimat`, `rental`.","type":"string"},"dangerous_goods_category":{"description":"ADR class","enum":["1","2","3","4.1","4.2","4.3","5.1","5.2","6.1","6.2","7","8","9"],"type":"string"},"is_dangerous":{"type":"boolean"},"adr_un_code":{"type":"string"},"legal_mentions":{"type":"string"},"complementary_information":{"description":"Any information about the load that doesn't fit to the description field","type":"string"},"container_number":{"type":"string"},"tare_weight":{"description":"In kilograms","format":"float","type":"number"},"container_seal_number":{"type":"string"},"refrigerated":{"description":"Indicates whether the load is refrigerated. If true, the trucker can fill in the temperature.","type":"boolean"},"temperature":{"type":"string"},"steres":{"format":"float","type":"number"},"idtf_number":{"description":"Must match an existing IDTF number","type":"string"},"use_identifiers":{"description":"if `true`, trucker is asked to scan barcode identifiers on load","type":"boolean"},"identifiers":{"description":"Only relevant if use_identifiers is set to `true`. List of expected barcode identifiers that the trucker should scan at loading and unloading. App controls that expected barcodes are actually scanned. If empty, the trucker will have to scan barcodes anyway, but there won't be any check. Feature has to be activated in your account by your Dashdoc projet manager.","type":"string"},"identifiers_observations":{"description":"Observations explaining issues with identifier, such as missing or unexpected identifiers","type":"string"}},"type":"object"}}},"paths":{"/tracking-files/{uid}/":{"get":{"operationId":"readTrackingFile","parameters":[{"description":"Unique identifier of the tracking file","in":"path","name":"uid","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TrackingFile"}}},"description":"Get successful"}},"summary":"Read a tracking file","tags":["TrackingFiles"]}}}}
````

## DELETE /tracking-files/{uid}/

> Delete a given tracking file

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"TrackingFiles"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}}},"paths":{"/tracking-files/{uid}/":{"delete":{"operationId":"deleteTrackingFile","parameters":[{"description":"Unique identifier of the tracking file","in":"path","name":"uid","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Delete successful"}},"summary":"Delete a given tracking file","tags":["TrackingFiles"]}}}}
````

## PATCH /tracking-files/{uid}/

> Update a given tracking file

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"TrackingFiles"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"TrackingFileInputValidator":{"properties":{"name":{"description":"Name of the tracking file","type":"string"},"shipper_id":{"description":"ID of the shipper","nullable":true,"type":"integer"},"start_date":{"description":"Start date of the tracking file","format":"date-time","nullable":true,"type":"string"},"end_date":{"description":"End date of the tracking file","format":"date-time","nullable":true,"type":"string"},"loading_address_id":{"description":"ID of the loading address.","nullable":true,"type":"integer"},"unloading_address_id":{"description":"ID of the unloading address","nullable":true,"type":"integer"},"quantity_per_transport":{"description":"Quantity per transport","format":"float","nullable":true,"type":"number"},"unit":{"description":"Unit of measurement","enum":["liter","cubic_meter","kilogram","stere","linear_meter","quantity"],"nullable":true,"type":"string"},"total_load":{"$ref":"#/components/schemas/NewDeliveryLoads"},"requires_washing":{"default":false,"description":"Indicates if washing is required by default for transports that will be created in this tracking file","type":"boolean"},"is_multiple_compartments":{"default":false,"description":"Indicates if there are multiple compartments by default for transports that will be created in this tracking file","type":"boolean"}},"required":["name","shipper_id"],"type":"object"},"NewDeliveryLoads":{"properties":{"remote_id":{"description":"The ID of the load in your system. It has to be unique among all your transports.","type":"string"},"description":{"description":"Text description of the load. In the case of a dangerous load, the description has to respect the ADR law.","type":"string"},"reference":{"description":"Reference of the load.","type":"string"},"weight":{"description":"In kilograms","format":"float","type":"number"},"volume":{"description":"Volume of load in m3","format":"float","type":"number"},"linear_meters":{"description":"Length of load in meters","format":"float","type":"number"},"quantity":{"description":"Only one decimal accepted (e.g 0.0)","format":"float","type":"number"},"pallet_equivalence":{"description":"Pallet equivalence (EPS/EQPAL): how many standard pallet spaces the load occupies. Minimum `0.01`, and only two decimals are kept — omit it or send `null` rather than 0 when unknown. When a load is created from the Dashdoc interface this defaults to `quantity` × the handling unit's pallet equivalence, and stays freely overridable.","format":"float","nullable":true,"type":"number"},"category":{"description":"Packaging of the load. The text is free but these specific values cause a custom flow on the mobile app: `pallets`, `containers`, `bulk`, `roundwood`, `powder_tank`, `bulk_qualimat`, `rental`.","type":"string"},"handling_unit_uid":{"description":"Existing handling unit UID from the load type catalog.","format":"uuid","type":"string"},"good_uid":{"description":"Existing good UID from the goods catalog.","format":"uuid","type":"string"},"create_handling_unit":{"$ref":"#/components/schemas/NewDeliveryLoads_create_handling_unit"},"create_good":{"$ref":"#/components/schemas/NewDeliveryLoads_create_good"},"dangerous_goods_category":{"deprecated":true,"description":"ADR class","enum":["1","2","3","4.1","4.2","4.3","5.1","5.2","6.1","6.2","7","8","9"],"type":"string"},"is_dangerous":{"default":false,"description":"Indicates whether the load is dangerous. If true, the trucker has to confirm adr un code and legal mentions at unloading.","type":"boolean"},"adr_un_code":{"description":"Only for dangerous load, the official UN code from the ADR law.","type":"string"},"legal_mentions":{"description":"Only for dangerous load, all mandatory legal mentions printed on documents.","type":"string"},"complementary_information":{"description":"Any information about the load that doesn't fit to the description field.","type":"string"},"container_number":{"type":"string"},"tare_weight":{"description":"In kilograms","format":"float","type":"number"},"container_seal_number":{"type":"string"},"refrigerated":{"description":"Indicates whether the load is refrigerated. If true, the trucker can fill in the temperature.","type":"boolean"},"temperature":{"type":"string"},"steres":{"format":"float","type":"number"},"idtf_number":{"description":"Must match an existing IDTF number","type":"string"},"use_identifiers":{"description":"if `true`, trucker is asked to scan barcode identifiers on load","type":"boolean"},"identifiers":{"description":"Only relevant if use_identifiers is set to `true`. List of expected barcode identifiers that the trucker should scan at loading and unloading. App controls that expected barcodes are actually scanned. If empty, the trucker will have to scan barcodes anyway, but there won't be any check. Feature has to be activated in your account by your Dashdoc projet manager.","items":{"type":"string"},"type":"array"},"identifiers_observations":{"description":"Observations explaining issues with identifier, such as missing or unexpected identifiers","type":"string"}},"type":"object"},"NewDeliveryLoads_create_handling_unit":{"description":"Create a handling unit in the catalog and use its UID for this load. If provided, it silently overrides `handling_unit_uid`.","nullable":true,"properties":{"name":{"type":"string"},"dashdoc_load_category":{"type":"string"},"remote_id":{"type":"string"}},"type":"object"},"NewDeliveryLoads_create_good":{"description":"Create a good in the catalog and use its UID for this load. If provided, it silently overrides `good_uid`.","nullable":true,"properties":{"name":{"type":"string"},"additional_information":{"type":"string"},"remote_id":{"type":"string"}},"type":"object"},"TrackingFile":{"properties":{"uid":{"description":"Unique identifier of the tracking file","type":"string"},"status":{"description":"Status of the tracking file","enum":["open","closed"],"type":"string"},"created":{"description":"Creation date of the tracking file","format":"date-time","type":"string"},"name":{"description":"Name of the tracking file","type":"string"},"shipper_id":{"description":"Primary key of the shipper","type":"integer"},"quantity_per_transport":{"description":"Quantity per transport","format":"float","type":"number"},"start_date":{"description":"Start date of the tracking file","format":"date-time","type":"string"},"end_date":{"description":"End date of the tracking file","format":"date-time","type":"string"},"unit":{"description":"Unit of measurement","enum":["liter","cubic_meter","kilogram","stere","linear_meter","quantity"],"type":"string"},"template_uid":{"description":"Unique identifier of the template linked to the tracking file","type":"string"},"loading_address":{"$ref":"#/components/schemas/Address"},"unloading_address":{"$ref":"#/components/schemas/Address"},"total_load":{"$ref":"#/components/schemas/PlannedLoads"},"requires_washing":{"description":"Indicates if washing is required by default for transports that will be created in this tracking file","type":"boolean"},"is_multiple_compartments":{"description":"Indicates if there are multiple compartments by default for transports that will be created in this tracking file","type":"boolean"}},"type":"object"},"Address":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"type":"boolean"},"is_shipper":{"type":"boolean"},"is_origin":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"is_destination":{"$ref":"#/components/schemas/address_is_origin_and_is_destination"},"created_by":{"$ref":"#/components/schemas/created-by"},"created_by_user":{"$ref":"#/components/schemas/created-by-user"},"created":{"$ref":"#/components/schemas/created"},"instructions":{"$ref":"#/components/schemas/site_instructions"},"remote_id":{"description":"The id of the address in your system.","type":"string"},"original":{"description":"Dashdoc's internal id of the original address.","nullable":true,"readOnly":true,"type":"number"},"company":{"$ref":"#/components/schemas/Company"}},"type":"object"},"country":{"description":"Only the 2-character codification is accepted (ISO 3166-1 alpha-2)","type":"string"},"latitude":{"description":"Latitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"longitude":{"description":"Longitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.","format":"float","nullable":true,"type":"number"},"is_demo":{"description":"Indicates that the address is a fake one created from demonstration. Everything linked to it will be deleted when using the 'Delete demo content' button in company parameters","type":"boolean"},"address_is_origin_and_is_destination":{"description":"Whether this address is a \"Logistic Points\" and will be usable as pickup/delivery point.\nThe distinction between origin/pickup and destination/delivery was merged as a single \"Logistic Point\" concept. `is_origin` implies `is_destination` and vice-versa.\n","type":"boolean"},"created-by":{"nullable":true,"properties":{"pk":{"description":"company id","type":"number"},"name":{"description":"name of the company","type":"string"}},"type":"object"},"created-by-user":{"nullable":true,"properties":{"pk":{"type":"number"},"display_name":{"type":"string"},"company":{"description":"The company id who created the address","type":"number"},"trucker_id":{"description":"The trucker id who created the address","type":"number"}},"type":"object"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"site_instructions":{"description":"Site instructions, visible to all parties (trucker, carrier, shipper, site). Displayed in the trucker mobile app. Not visible in the eCMR. If the field is not provided, the address's site instructions will be used.","maxLength":1000,"type":"string"},"Company":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"remote_id":{"type":"string"},"created":{"format":"date-time","type":"object"},"updated":{"format":"date-time","type":"string"},"deleted":{"type":"boolean"},"invoicing_remote_id":{"description":"The id of the company in your invoicing system.","type":"string"},"name":{"type":"string"},"phone_number":{"type":"string"},"email":{"type":"string"},"siren":{"type":"string"},"trade_number":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"comments":{"type":"string"},"vat_number":{"type":"string"},"is_verified":{"type":"boolean"},"settings_transport_order_observations":{"type":"string"},"settings_constrain_reference_edition":{"type":"boolean"},"account_type":{"description":"Ignore. Dashdoc technical data.","type":"string"},"logo":{"description":"The URL of your logo","nullable":true,"type":"string"},"subscription_access":{"type":"object"},"settings":{"type":"object"},"primary_address":{"$ref":"#/components/schemas/PrimaryAddress_1"},"managers":{"items":{"$ref":"#/components/schemas/Managers"},"type":"array"},"has_loggable_managers":{"description":"Ignore. Dashdoc technical data.","type":"boolean"}},"type":"object"},"PrimaryAddress_1":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"postcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"latitude":{"$ref":"#/components/schemas/latitude"},"longitude":{"$ref":"#/components/schemas/longitude"},"radius":{"default":500,"description":"Radius around the GPS coordinates within which the address is located (in meters)","type":"integer"},"coords_validated":{"default":false,"description":"if `true`, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates","type":"boolean"},"is_demo":{"$ref":"#/components/schemas/is_demo"},"is_carrier":{"description":"Whether this company is considered a carrier","type":"boolean"},"is_shipper":{"description":"Whether this company is considered a shipper","type":"boolean"},"is_origin":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"is_destination":{"description":"Legacy, not relevant for a company's primary address. Consider creating a separate address associated with this partner instead.\n","type":"boolean"},"created_by":{"$ref":"#/components/schemas/created-by"},"created_by_user":{"$ref":"#/components/schemas/created-by-user"},"created":{"$ref":"#/components/schemas/created"},"remote_id":{"description":"The id of the address in your system.","type":"string"}},"type":"object"},"Managers":{"properties":{"pk":{"description":"Dashdoc's internal id.","type":"number"},"user":{"$ref":"#/components/schemas/Managers_user"},"display_name":{"type":"string"},"role":{"type":"string"}},"type":"object"},"Managers_user":{"properties":{"email":{"format":"email","type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"}},"type":"object"},"PlannedLoads":{"properties":{"uid":{"description":"Dashdoc's internal id.","type":"string"},"remote_id":{"description":"The ID of the load in your system. It has to be unique among all your transports.","type":"string"},"description":{"description":"Text description of the load","type":"string"},"reference":{"description":"Reference of the load","type":"string"},"weight":{"description":"In kilograms","format":"float","type":"number"},"volume":{"description":"Volume of load in m3","format":"float","type":"number"},"volume_display_unit":{"default":"m3","enum":["m3","L"],"type":"string"},"linear_meters":{"description":"Length of load in meters","format":"float","type":"number"},"quantity":{"description":"Only one decimal accepted (e.g 0.0)","format":"float","type":"number"},"pallet_equivalence":{"description":"Pallet equivalence (EPS/EQPAL): how many standard pallet spaces the load occupies. `null` when it was never set. Otherwise at least `0.01`, with two decimals kept.","format":"float","nullable":true,"type":"number"},"category":{"description":"Packaging of the load. The text is free but these specific values cause a custom flow on the mobile app: `pallets`, `containers`, `bulk`, `roundwood`, `powder_tank`, `bulk_qualimat`, `rental`.","type":"string"},"dangerous_goods_category":{"description":"ADR class","enum":["1","2","3","4.1","4.2","4.3","5.1","5.2","6.1","6.2","7","8","9"],"type":"string"},"is_dangerous":{"type":"boolean"},"adr_un_code":{"type":"string"},"legal_mentions":{"type":"string"},"complementary_information":{"description":"Any information about the load that doesn't fit to the description field","type":"string"},"container_number":{"type":"string"},"tare_weight":{"description":"In kilograms","format":"float","type":"number"},"container_seal_number":{"type":"string"},"refrigerated":{"description":"Indicates whether the load is refrigerated. If true, the trucker can fill in the temperature.","type":"boolean"},"temperature":{"type":"string"},"steres":{"format":"float","type":"number"},"idtf_number":{"description":"Must match an existing IDTF number","type":"string"},"use_identifiers":{"description":"if `true`, trucker is asked to scan barcode identifiers on load","type":"boolean"},"identifiers":{"description":"Only relevant if use_identifiers is set to `true`. List of expected barcode identifiers that the trucker should scan at loading and unloading. App controls that expected barcodes are actually scanned. If empty, the trucker will have to scan barcodes anyway, but there won't be any check. Feature has to be activated in your account by your Dashdoc projet manager.","type":"string"},"identifiers_observations":{"description":"Observations explaining issues with identifier, such as missing or unexpected identifiers","type":"string"}},"type":"object"}}},"paths":{"/tracking-files/{uid}/":{"patch":{"operationId":"updateTrackingFile","parameters":[{"description":"Unique identifier of the tracking file","in":"path","name":"uid","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TrackingFileInputValidator"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TrackingFile"}}},"description":"Update successful"}},"summary":"Update a given tracking file","tags":["TrackingFiles"]}}}}
````
